/**
 * Back 2 Browser Bytecode Translator Copyright (C) 2012 Jaroslav Tulach
 * <jaroslav.tulach@apidesign.org>
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. Look for COPYING file in the top folder. If not, see
 * http://opensource.org/licenses/GPL-2.0.
 */
package net.java.html.canvas;

/**
 * ImageData is an updateable 2-Dimensional Array of Colour values.
 * Created ( createPixelMap / getSnapShot ) and rendered ( paintPixelMap ) by GraphicsContext .
 * 
 * @author antonepple
 */
public interface ImageData {

    public double getHeight();

    public double getWidth();
    
    public int getPixel(double x, double y);
    
    public void setPixel(double x, double y, int value);
       
}
